Value Construction

- « Componere\Value

- Componere\Value::setPrivate »

- PHP Manual
- Componere\Value
- Value Construction

# Componere\Value::__construct

(Componere 2 >= 2.1.0)

Componere\Value::__construct — Value Construction

### Description

public Componere\Value::__construct(mixed `$default` = ?)

### Parameters

`default`

### Exceptions

Warning

Shall throw InvalidArgumentException if `default` does not have a suitable value